org.apache.fop.events

## Class ValidationExceptionFactory

- java.lang.Object
- - org.apache.fop.events.ValidationExceptionFactory

-     public class ValidationExceptionFactory
      extends java.lang.Object

  Exception factory for `ValidationException`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationExceptionFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `createException(Event event)`
    `java.lang.Class<ValidationException>` | `getExceptionClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationExceptionFactory

          public ValidationExceptionFactory()

  - ### Method Detail

    - #### createException

          public java.lang.Throwable createException(Event event)

    - #### getExceptionClass

          public java.lang.Class<ValidationException> getExceptionClass()

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.